MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025157Community[OCCT] OCCT:Meshpublic2014-08-17 01:262014-11-12 09:52
Reportershoogen 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformLinux 64-bitOSDebianOS Version7.5
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025157: Face missing depending the angle of revolution
Descriptionthe user reported that the meshing works if the angle of revolution is increased beyond 180°. The shape seems to be valid, as it can be meshes using MEFISTO.
Steps To Reproduce> restore missing-tes.brep
> tclean missing-tes
This shape seems to be valid
> bopcheck missing-tes
 This shape seems to be OK.
> incmesh missing-tes 0.1
Incremental Mesh, multi-threading OFF
Meshing statuses: SelfIntersectingWire
> incmesh missing-tes 0.001
Incremental Mesh, multi-threading OFF
Meshing statuses: SelfIntersectingWire


> dversion
Open CASCADE Technology 6.7.3.dev-0304f71
Debug mode
TBB disabled
GL2PS disabled
FreeImage disabled
OpenCL disabled
Exceptions enabled
Compiler: GCC 4.7.2
Architecture: AMD64
OS: Linux
Additional information
and documentation updates
http://www.freecadweb.org/tracker/view.php?id=1681 [^]

TagsNo tags attached.
Test case numberbugs mesh bug25157
Attached Files? file icon missing-tes.brep (213,166 bytes) 2014-08-17 01:26
? file icon working-181deg-rev.brep (134,679 bytes) 2014-08-17 01:35
? file icon working-tip-removed.brep (405,800 bytes) 2014-08-17 01:36
? file icon cone1.draw (309 bytes) 2014-08-17 02:16
? file icon test-proposal-bug25157 (592 bytes) 2014-10-20 13:12

- Relationships
duplicate of 0025045closedabv Community STEP Import fails to find all surfaces 
related to 0022818closedoan Community Wrong triangulation of Revolution surface with slice angle <= 180 degree 
related to 0023106closedbugmaster Open CASCADE BRepMesh_IncrementalMesh returns wrong status 

-  Notes
(0030804)
shoogen (reporter)
2014-08-17 01:38

I added shapes for the existing workarounds.
One known workaround is to change the angle of revolution (here 181) degree.
The second workaround has the tip of the cone removed, which creates an additional face.
(0030805)
shoogen (reporter)
2014-08-17 01:46

related to 22818
(0030807)
shoogen (reporter)
2014-08-17 02:15

I created a DRAWEXE script to reproduce the problem that does not rely on external shapes, to be used as a test case:

pload MODELING
pcone Cone 6 0 10 180
pcylinder Cylinder 1 6 360
ttranslate Cylinder 0 3 1
bcut Cut Cone Cylinder
explode Cut F
tclean Cut_1
incmesh Cut_1 0.1
#Incremental Mesh, multi-threading OFF
#Meshing statuses: SelfIntersectingWire
trinfo Cut_1
#
#This shape contains 0 triangles.
# 0 nodes.
#Maximal deflection 0
donly Cut_1
(0032997)
shoogen (reporter)
2014-10-11 01:47

solved by 0023106
(0032999)
abv (manager)
2014-10-13 09:12

Please add a test case
(0033003)
oan (developer)
2014-10-13 10:57

Dear ABV,

Fact that this problem was being fixed by 0023106 is just a side effect that does not fix problem in general (see 0025045).

I suggest leaving this bug open as long as 0025045 will not be fixed.
(0033004)
abv (manager)
2014-10-13 11:08

Oleg, if the problem is not reproduced any more, it is right time to add a test case and integrate it to master; this will let us know if some other change will break the case. The issue can be closed then, as there is no utility in having it open. Do you agree on this?
(0033006)
oan (developer)
2014-10-13 11:22

Yes, sounds reasonable.
(0033325)
shoogen (reporter)
2014-10-20 13:15

please ignore the latest file. it sets nbtri_r and tests nbtri_s :(
(0033970)
git (administrator)
2014-10-31 16:58

Branch CR25157 has been created by apn.

SHA-1: 8e76b19002f34e78bc400c7f3a304d6638b0e935


Detailed log of new commits:

Author: apn
Date: Fri Oct 31 16:58:29 2014 +0300

    0025157: Face missing depending the angle of revolution
    
    Added test case bugs/mesh/bug25157
(0033971)
apn (administrator)
2014-10-31 16:59

Problem is not reproduced on current state of master on Windows and Debian60-64 in Release and Debug modes.
Branch CR25157 was created. It contains test case:
bugs mesh bug25157 - OK
(0034294)
git (administrator)
2014-11-12 09:52

Branch CR25157 has been deleted by inv.

SHA-1: 8e76b19002f34e78bc400c7f3a304d6638b0e935

- Related Changesets
occt: master a806787b
Timestamp: 2014-10-31 13:58:29
Author: apn
Committer: bugmaster
Details ] Diff ]
0025157: Face missing depending the angle of revolution

Added test case bugs/mesh/bug25157
add - tests/bugs/mesh/bug25157 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-17 01:26 shoogen New Issue
2014-08-17 01:26 shoogen Assigned To => oan
2014-08-17 01:26 shoogen File Added: missing-tes.brep
2014-08-17 01:35 shoogen File Added: working-181deg-rev.brep
2014-08-17 01:36 shoogen File Added: working-tip-removed.brep
2014-08-17 01:38 shoogen Note Added: 0030804
2014-08-17 01:46 shoogen Note Added: 0030805
2014-08-17 01:50 shoogen Note Added: 0030806
2014-08-17 02:15 shoogen Note Added: 0030807
2014-08-17 02:16 shoogen Note Deleted: 0030806
2014-08-17 02:16 shoogen File Added: cone1.draw
2014-09-01 17:46 oan Relationship added related to 0023111
2014-09-01 17:47 oan Relationship deleted related to 0023111
2014-09-01 17:47 oan Relationship added duplicate of 0025045
2014-09-01 17:48 oan Relationship added related to 0022818
2014-09-11 18:11 abv Status new => assigned
2014-09-11 18:11 abv Target Version => 6.8.0
2014-09-12 19:18 oan Target Version 6.8.0 => 7.1.0
2014-10-11 01:47 shoogen Note Added: 0032997
2014-10-13 09:12 abv Note Added: 0032999
2014-10-13 09:12 abv Assigned To oan => bugmaster
2014-10-13 09:12 abv Status assigned => feedback
2014-10-13 09:12 abv Target Version 7.1.0 => 6.8.0
2014-10-13 09:13 abv Relationship added related to 0023106
2014-10-13 10:57 oan Note Added: 0033003
2014-10-13 10:57 oan Assigned To bugmaster => abv
2014-10-13 11:08 abv Note Added: 0033004
2014-10-13 11:22 oan Note Added: 0033006
2014-10-13 11:22 oan Assigned To abv => bugmaster
2014-10-15 10:45 bugmaster Assigned To bugmaster => apv
2014-10-20 12:01 bugmaster Assigned To apv => apn
2014-10-20 13:12 shoogen File Added: test-proposal-bug25157
2014-10-20 13:15 shoogen Note Added: 0033325
2014-10-31 16:58 git Note Added: 0033970
2014-10-31 16:59 apn Note Added: 0033971
2014-10-31 16:59 apn Test case number => bugs mesh bug25157
2014-10-31 16:59 apn Assigned To apn => bugmaster
2014-10-31 16:59 apn Status feedback => tested
2014-11-06 15:18 bugmaster Changeset attached => occt master a806787b
2014-11-06 15:18 bugmaster Status tested => verified
2014-11-06 15:18 bugmaster Resolution open => fixed
2014-11-11 12:42 user533 Fixed in Version => 6.8.0
2014-11-11 13:03 user533 Status verified => closed
2014-11-12 09:52 git Note Added: 0034294


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker